From b74faec1602637914248df29f8c319f29d5a2544 Mon Sep 17 00:00:00 2001
From: "Pedro A. Aranda" <paranda@it.uc3m.es>
Date: Sat, 13 Apr 2024 08:17:04 +0200
Subject: [PATCH] Allow style= in cite_export

---


lisp/oc-biblatex.el: Allow style= in #+cite_export.
  This is a more natural transition for people coming from TeX
doc/org-manual.org: Reflect the change in the documentation.

 doc/org-manual.org  | 4 ++++
 lisp/oc-biblatex.el | 2 ++
 2 files changed, 6 insertions(+)

diff --git a/doc/org-manual.org b/doc/org-manual.org
index 6c699ae1e..32604cd54 100644
--- a/doc/org-manual.org
+++ b/doc/org-manual.org
@@ -17607,6 +17607,10 @@ your LaTeX installation, it won't export to anything but PDF.

 : #+cite_export: biblatex numeric,backend=bibtex

+or, specifying ~style=~ explicitly:
+
+: #+cite_export: biblatex backend=bibtex,style=numeric
+
 #+vindex: org-cite-biblatex-options
 #+texinfo: @noindent
 specifies the =biblatex= export processor with the default =numeric=
diff --git a/lisp/oc-biblatex.el b/lisp/oc-biblatex.el
index 36c0ee7e5..f28d13316 100644
--- a/lisp/oc-biblatex.el
+++ b/lisp/oc-biblatex.el
@@ -200,6 +200,8 @@ Return a string."
         (style-options
          (cond
           ((null style) nil)
+          ;; allow the user to include "style=" anywhere in the style options
+          ((string-match "\\(^s\\|,s\\)tyle=" style) (list style))
           ((not (string-match "/" style)) (list (concat "style=" style)))
           (t
            (list (concat "bibstyle=" (substring style nil (match-beginning 0)))
--
2.37.1 (Apple Git-137.1)
